Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86500 - "eject /dev/fd0" fails, apparently due to mismatch with kernel ioctl
Summary: "eject /dev/fd0" fails, apparently due to mismatch with kernel ioctl
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: eject
Version: 8.0
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-24 16:31 UTC by Dale R. Worley
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-08 10:59:31 UTC


Attachments (Terms of Use)

Description Dale R. Worley 2003-03-24 16:31:47 UTC
Description of problem:
Executing the command "eject /dev/fd0" produces the error message:
    eject: unable to eject, last error: Invalid argument
And in /var/log/messages:
    Mar 24 11:24:35 dragon kernel: floppy0: obsolete eject ioctl
    Mar 24 11:24:35 dragon kernel: floppy0: please use floppycontrol --eject
(The floppy does not eject, either.)

Unfortunately, the 'floppycontrol' program referred to in /var/log/messages does
not appear to exist in RH 8.0.

Version-Release number of selected component (if applicable):
    ~> eject --version
    eject version 2.0.12 by Jeff Tranter (tranter@pobox.com)

How reproducible:
At will.

Steps to Reproduce:
1.Execute "eject /dev/fd0".
2.
3.
    
Actual results:
Produces error messages as detailed above.

Expected results:
Eject floppy disk from floppy drive fd0.

Additional info:

Comment 1 Ngo Than 2003-03-26 14:40:02 UTC
The 1.44 floppy does not have this capability and of course it does not work if
you try to eject your floppy-disk.

Comment 2 Dale R. Worley 2003-10-04 01:50:06 UTC
My apologies, I'm used to a system where /dev/fd0 is really /dev/hdc, an LS-120
drive, which does have eject capabilities.

Nonetheless, the messages need to be corrected:  eject should coherently state
that the device is incapable of the requested act, and the /var/log/messages
lines  need to be corrected, as they refer to a nonexistent program.


Comment 3 Ngo Than 2004-09-08 10:59:31 UTC
you have to use /dev/hda device to mount your LS-120, /dev/fd0 and
/dev/hdc is not the same.


Note You need to log in before you can comment on or make changes to this bug.